树莓派安装软件出现问题

Willylll 2020-03-1293 次点击

如题
安装时错误如下
pi@raspberrypi:~ $ sudo apt-get install python-pip
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
python-pip 已经是最新版 (18.1-5+rpt1)。
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 1 个软件包未被升级。
有 1 个软件包没有被完全安装或卸载。
解压缩后会消耗 0 B 的额外空间。
您希望继续执行吗? [Y/n] y
正在设置 aufs-dkms (4.19+20190211-1) ...
Removing old aufs-4.19+20190211 DKMS files...

------------------------------
Deleting module version: 4.19+20190211
completely from the DKMS tree.
------------------------------
Done.
Loading new aufs-4.19+20190211 DKMS files...
It is likely that 4.19.97-v7l+ belongs to a chroot's host
Building for 4.19.97+, 4.19.97-v7+, 4.19.97-v7l+ and 4.19.97-v8+
Building initial module for 4.19.97+


Error! Bad return status for module build on kernel: 4.19.97+ (armv7l)
Consult /var/lib/dkms/aufs/4.19+20190211/build/make.log for more information.
dpkg: 处理软件包 aufs-dkms (--configure)时出错:
已安装 aufs-dkms 软件包 post-installation 脚本 子进程返回错误状态 10
在处理时有错误发生:
aufs-dkms
E: Sub-process /usr/bin/dpkg returned an error code (1)
pi@raspberrypi:~ $ sudo apt-get insyall python-dev mpg123
E: 无效的操作 insyall
pi@raspberrypi:~ $ sudo apt-get install python-dev mpg123
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
python-dev 已经是最新版 (2.7.16-1)。
python-dev 已设置为手动安装。
建议安装:
nas oss-compat oss4-base pulseaudio
下列【新】软件包将被安装:
libout123-0 mpg123
升级了 0 个软件包,新安装了 2 个软件包,要卸载 0 个软件包,有 1 个软件包未被升级。
有 1 个软件包没有被完全安装或卸载。
需要下载 203 kB 的归档。
解压缩后会消耗 459 kB 的额外空间。
获取:1 http://mirrors.nju.edu.cn/raspbian/raspbian buster/main armhf libout123-0 armhf 1.25.10-2 [35.5 kB]
获取:2 http://mirrors.nju.edu.cn/raspbian/raspbian buster/main armhf mpg123 armhf 1.25.10-2 [167 kB]
已下载 203 kB,耗时 4秒 (57.3 kB/s)
正在选中未选择的软件包 libout123-0:armhf。
(正在读取数据库 ... 系统当前共安装有 209221 个文件和目录。)
准备解压 .../libout123-0_1.25.10-2_armhf.deb ...
正在解压 libout123-0:armhf (1.25.10-2) ...
正在选中未选择的软件包 mpg123。
准备解压 .../mpg123_1.25.10-2_armhf.deb ...
正在解压 mpg123 (1.25.10-2) ...
正在设置 libout123-0:armhf (1.25.10-2) ...
正在设置 aufs-dkms (4.19+20190211-1) ...
Removing old aufs-4.19+20190211 DKMS files...

------------------------------
Deleting module version: 4.19+20190211
completely from the DKMS tree.
------------------------------
Done.
Loading new aufs-4.19+20190211 DKMS files...
It is likely that 4.19.97-v7l+ belongs to a chroot's host
Building for 4.19.97+, 4.19.97-v7+, 4.19.97-v7l+ and 4.19.97-v8+
Building initial module for 4.19.97+
Error! Bad return status for module build on kernel: 4.19.97+ (armv7l)
Consult /var/lib/dkms/aufs/4.19+20190211/build/make.log for more information.
dpkg: 处理软件包 aufs-dkms (--configure)时出错:
已安装 aufs-dkms 软件包 post-installation 脚本 子进程返回错误状态 10
正在设置 mpg123 (1.25.10-2) ...
update-alternatives: 使用 /usr/bin/mpg123.bin 来在自动模式中提供 /usr/bin/mpg123 (mpg123)
update-alternatives: 使用 /usr/bin/mpg123.bin 来在自动模式中提供 /usr/bin/mp3-decoder (mp3-decoder)
正在处理用于 libc-bin (2.28-10+rpi1) 的触发器 ...
正在处理用于 man-db (2.8.5-2) 的触发器 ...
正在处理用于 mime-support (3.62) 的触发器 ...
在处理时有错误发生:
aufs-dkms
E: Sub-process /usr/bin/dpkg returned an error code (1)

收藏 ♥ 感谢
Willylll 2020-03-12 
请问怎么解决
Spoony 小组长 2020-03-12 
看到 无效的操作 insyall
install 输入错误
Willylll 2020-03-13 
@Spoony 什么意思我是小白

登录注册 后可回复。

这里由以下店铺的技术人员在此免费提供能力范围内的技术支持。

NXEZ 创客商店(淘宝)

排障问题发帖注意事项:
1、请尽可能将故障说明清晰,列明例如使用环境和做了哪些操作和配置等。
2、排障中已经做了哪些尝试,如果能在问题中进行描述将极大提高解决问题的效率。
3、对于需要自身完成知识积累才能解决的问题,请自行通过搜索引擎寻找资料学习。